Audio::Nama::Object(3pm)

NAME
Audio::Nama::Object - Class builder

SYNOPSIS
  # Define a class
  package Foo;

  use Audio::Nama::Object qw{ bux baz };

  1;

  # Use the class
  my $object = Foo->new( bux => 1 );

  $object->set( bux => 2);

  print "bux is " . $object->bux . "\n";

  # Define a subclass (automatically inherits parent attributes)

  package Bar;

  our @ISA = 'Foo';

  my $lonely_bar = Bar->new();

  $lonely_bar->set(bux => 3);